<?

class xml_parser {
	


}

class html_parser {

	private $text;

	private $characters;

	public function __construct($text) {
		$this->text = $text;
		$this->characters = $object->strings->str_split($text);
	}

	public function parse($config=NULL) {
		$current_index = 0;
		$current_token = NULL;

		$in_string_value = false;
		$in_tag_value = false;

		while($current_index < $this->characters->length) {
			$current_token = $this->characters[$current_index];
			if($current_token == '<' && !$in_string_value && !$in_tag_value) {
				
			}
			$current_index++;
		}
	}
}

class html_element {

}

?>